Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_InputCDR::Transfer_Contents Struct Reference

`#include <CDR_Stream.h>`

Collaboration diagram for ACE_InputCDR::Transfer_Contents:

[legend]
List of all members.

## Public Member Functions
| Transfer_Contents (ACE_InputCDR &rhs)
## Public Attributes
ACE_InputCDR & | rhs_

## Detailed Description

Helper class to transfer the contents from one input CDR to another without requiring any extra memory allocations, data copies or too many temporaries.

## Constructor & Destructor Documentation

ACE_INLINE ACE_InputCDR::Transfer_Contents::Transfer_Contents | ( | ACE_InputCDR & | rhs | ) |

## Member Data Documentation

ACE_InputCDR& ACE_InputCDR::Transfer_Contents::rhs_

The documentation for this struct was generated from the following files:

- CDR_Stream.h
- CDR_Stream.inl